import React from 'react';
interface LabelProps extends React.DetailedHTMLProps<React.LabelHTMLAttributes<HTMLLabelElement>, HTMLLabelElement> {
    /** `Label` 컴포넌트 안에 표시될 ReactNode입니다. */
    children?: React.ReactNode;
    /** 필수 항목 여부 */
    required: boolean;
}
declare const _default: React.MemoExoticComponent<{
    ({ required, children, ...props }: LabelProps): JSX.Element;
    defaultProps: {
        required: boolean;
    };
}>;
export default _default;
