/// <reference types="react" />
interface ColorProps {
    type: 'main' | 'sub';
}
/**
 * `Colors`는 스토리북에서 제공하는 테마별 색상을 보여줍니다.
 */
declare const Colors: {
    ({ type }: ColorProps): JSX.Element | null;
    defaultProps: {
        type: string;
    };
};
export default Colors;
